Subject: [6lo] 6lo and SCHC

From: Laurent Toutain <[email-masked]>
Date: Wed, 29 Jul 2020 16:12:52 +0200

Hi Carles,

Thank you for the draft, it shows that 6lo and SCHC can work together. I've
few comments on the draft:

- NALP

I don't think we should impose the size of the ruleID in 6lo header, for
instance if a 6lo network is relaying a SCHC packet, it should know the
rule size to fill the field. if it does not care, it just copy the SCHC
packet after the NALP.

I will be more in favor of a NALP of 1 byte long then the SCHC packet. We
can specify some recommendations at it is currently done for LoRaWAN,
Sigfox or PPP to carry SCHC packet over 6lo.

- HC

Could be nice to have a HC_SCHC which keeps IPv6 header compression with
6lo and allows route-over. Same as for NALP, the SCHC format decoding is
done by SCHC.

Laurent